GNU bug report logs - #34354
Update python-biopython to 1.79, seqmagick to 0.8.4

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Brett Gilio <brettg@HIDDEN>; Keywords: patch; dated Wed, 6 Feb 2019 22:13:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Changed bug title to 'Update python-biopython to 1.79, seqmagick to 0.8.4' from '[PATCH] gnu: python-biopython: Update to 1.73.' Request was from Arun Isaac <arunisaac@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 34354 <at> debbugs.gnu.org:


Received: (at 34354) by debbugs.gnu.org; 9 Oct 2021 16:13:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 09 12:13:15 2021
Received: from localhost ([127.0.0.1]:54034 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZEyJ-0001SP-1E
	for submit <at> debbugs.gnu.org; Sat, 09 Oct 2021 12:13:15 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:54622)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>)
 id 1mZEyE-0001SB-BQ; Sat, 09 Oct 2021 12:13:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:Cc
 :To:From:Sender:Reply-To:Subject:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=t9fAtVd7p9M6pbbUjN4Y5dj2pcR564vmUf3+tQniJaU=; b=SV+GnDkSuIRAh2VgXQpavjRIH8
 XRpebZFmRj437U2nV5Z4jYOcKMJ20rhD9Bgd93Ls/N/AzGvpj0WvWFozbtkF1oQeUL+LDNBP+nfzH
 /l26TW/CxMiQymYySnbGN/6V679Cge5NBR614ZAJYcaPAhDJVv+BG0jVU0YLhq9Qt+CSgE97ytg+I
 7NGdipkFQNZeive+lXMBgbpMDsaduygkWY75/4EaPqEUzNKeYKM/7adtyq2vpV7/yvacm4qWEJrYt
 6niVKpvs/PiUEbnDpvxLOlf6oVJSC4aXNnb6sDkOLoayrIQsQtydSs0xLKy0AjNK1ZLGbjmgAXOsD
 fh0PIeMw==;
Received: from [192.168.2.1] (port=47466 helo=steel)
 by systemreboot.net with esmtpsa (TLS1.3) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.94.2)
 (envelope-from <arunisaac@HIDDEN>)
 id 1mZExw-000Kis-2D; Sat, 09 Oct 2021 21:42:52 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: control <at> debbugs.gnu.org
Date: Sat, 09 Oct 2021 21:42:44 +0530
Message-ID: <87wnmmi3cz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  reopen 34354 retitle 34354 Update python-biopython to 1.79, 
 seqmagick to 0.8.4 thanks Oops, it seems I closed this bug without realizing
 that seqmagick is still broken! I have fixed this problem (on my local
 machine)
 by updating both python-biopython and seqmagick. I will send patches [...]
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: 34354
Cc: 34354 <at> debbugs.gnu.org, Ricardo Wurmus <rekado@HIDDEN>,
 Brett Gilio <brettg@HIDDEN>, Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

--=-=-=
Content-Type: text/plain


reopen 34354
retitle 34354 Update python-biopython to 1.79, seqmagick to 0.8.4
thanks

Oops, it seems I closed this bug without realizing that seqmagick is
still broken! I have fixed this problem (on my local machine) by
updating both python-biopython and seqmagick. I will send patches soon.

Thanks!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFPBAEBCAA5FiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAmFhv30bHGFydW5pc2Fh
Y0BzeXN0ZW1yZWJvb3QubmV0AAoJEC4l7othgCuznPAH/07c6O61imuWfu73OIxB
CswyZ74JMRLo+plqxGBmHmExOFvUuiXPiCJUxZ38YY8lYjBjHCN4hvKHFdeGEiH9
NWAdQ188qCFZWuEs6K2FR6pU8ZaZq+aFWd1atoGO3Bb259sSyTBCROUSHNG62kp2
bC43E9mm3p3cG1wfb7GhmdiYxe/bj9605JqgEPniC7yBB+YgR5tOydJJ+SVGcEt8
PugB5KgQRWKhUY5dBPR16tASN9aY9gKXFIfTebJWCCP2loNjCIpdYuouZ4OsCw/U
OCn2M8fOJ8RdhAgwkI6OCnoQ4ZW5S6MlfdHy8VTELsu6KKT5vWFvvfo1gJKSFPQo
Zl4=
=IbNT
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#34354; Package guix-patches. Full text available.

Message received at 34354-done <at> debbugs.gnu.org:


Received: (at 34354-done) by debbugs.gnu.org; 9 Oct 2021 15:38:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 09 11:38:24 2021
Received: from localhost ([127.0.0.1]:54013 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZEQa-0000b0-Fb
	for submit <at> debbugs.gnu.org; Sat, 09 Oct 2021 11:38:24 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:54620)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1mZEQX-0000an-Kz
 for 34354-done <at> debbugs.gnu.org; Sat, 09 Oct 2021 11:38:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:In-Reply-To:List-Id:List-Help:
 List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=yv9vO/i0gnfFDhLWGtCAbX3//PqQcLfWEb6PmK9tHCw=; b=lvg6/t26eiV4fYJh+o1GsNucjO
 WS9leNefEG36d5/mi8mIpRC5RUO8hlhD1XT0AdSPbrR48I7afBQEuWHpydBivuaw1Pg/qig5jDyLN
 vxS+qObEJH96Aa7MSTYI92Kr3xlsYRTtdhrpwQls8k82fArKfnrUZFnV6+KIdGy+8IyqRpBOwF9Ce
 dRHLjI+y01fLFv31nRnRGSljKsSH08zqRxZqBu34b+4N1n4sexf7RoNyMIbCgevTokLMAzUKMXZDV
 5O28XnRG0mca4E+W2nPMVu2zkl18f6CSQF2EPpWQy1+NzsdUMT0MO86x3AlzWPFMAQGj6HTGW/6/c
 sVG5HdZg==;
Received: from [192.168.2.1] (port=47868 helo=steel)
 by systemreboot.net with esmtpsa (TLS1.3) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.94.2)
 (envelope-from <arunisaac@HIDDEN>)
 id 1mZEQN-000Kh9-NB; Sat, 09 Oct 2021 21:08:11 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#34354: [PATCH] gnu: python-biopython: Update to 1.73.
References: <871s4kzhwb.fsf@HIDDEN> <87zhr8y2z3.fsf@HIDDEN>
 <878sysf3c3.fsf@HIDDEN> <87mun7qs7t.fsf@HIDDEN>
 <875yxes5k1.fsf_-_@HIDDEN>
Date: Sat, 09 Oct 2021 21:08:07 +0530
Message-ID: <871r4ujjj4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34354-done
Cc: Ricardo Wurmus <rekado@HIDDEN>, 34354-done <at> debbugs.gnu.org,
 Brett Gilio <brettg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Hi,

Efraim updated python-biopython to 1.73 in
309b38bed61c21ce8ba559a679592ecc1c94dbfc. So, I'm closing this issue.

Thanks!
Arun

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFPBAEBCAA5FiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAmFht18bHGFydW5pc2Fh
Y0BzeXN0ZW1yZWJvb3QubmV0AAoJEC4l7othgCuzkssH/AhcEzO3PGuC45RNDFCv
ueoxfxMXAB4rurLUZDnijAAUbGz1hYzuu/QLseLqVqP94gAE3PuNpVUl2GK51d/m
zV5H63gEqVQEqaqKoAcGiUsFuXdHBUQpmbFb/wSsxB+ltsEY9mL8Jqf7y9L1Cefs
EeHGzbyONVBHpcMtgFFGhcAfp8tFwauoACzXQk1DkbJffMWtri3s68sOuWk+3WsX
3a5ib5sS0QGfgPYXc8WAD5tEEkC3P+7XMwgt869yPBChSkfm+vLTJtjSddmZ4Ect
yNF0OdUmmQhnQpC0hHpQUkG06+N/ezd2+u2sob6AFFz/PN8bmCj8FFhIuKsoycEE
lc4=
=Wzv5
-----END PGP SIGNATURE-----
--=-=-=--




Notification sent to Brett Gilio <brettg@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Arun Isaac <arunisaac@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 34354 <at> debbugs.gnu.org:


Received: (at 34354) by debbugs.gnu.org; 13 Jul 2021 13:32:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 13 09:32:26 2021
Received: from localhost ([127.0.0.1]:39820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3IWO-0007EH-TX
	for submit <at> debbugs.gnu.org; Tue, 13 Jul 2021 09:32:26 -0400
Received: from mail-qt1-f176.google.com ([209.85.160.176]:35550)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1m3IWL-0007E3-03
 for 34354 <at> debbugs.gnu.org; Tue, 13 Jul 2021 09:32:24 -0400
Received: by mail-qt1-f176.google.com with SMTP id g12so16596467qtb.2
 for <34354 <at> debbugs.gnu.org>; Tue, 13 Jul 2021 06:32:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=Yte+Es4cb00Fn7ESy6SYtBIVT1qz/Q+9l/6OV638R2k=;
 b=gj/+fsD+RBFKTi+88Y4JoXfKiJWq6f834pPZdPgNgymunrKqZTszXHrNPmDu+4/lju
 Z4sNswoYsD3iQu1X1arVBud93M7p+LJPZMblAfX2LzHrFg6YRXqbkDviX3riFa0+ezp+
 BmxPC1S0gIGfNGnjPsZ4tmrhINEECqF5NjX9XjRM7KwXg01S4EbTA2FZJsfdHIV0g9ra
 c2smXKZZiZjRbVgISuVD2v5BX3iYauLdSBGJhhncx3DTgonYfTR1nLybM7wVOnweOGvX
 Gt2Z29YYChYnw/AvfagJAM3omvKcVeqzHw2cDLc0qOW7akNRzNKRfNa3OzkBUhNAntwi
 XMLw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=Yte+Es4cb00Fn7ESy6SYtBIVT1qz/Q+9l/6OV638R2k=;
 b=C3SMMHt5c0v4Hf6zY5fhlw2Yioae9mKShFmxXJlhcNvyZBjuNcEVCO4h0K9Omx1Vsz
 ZDP44ixlkR8sfHcXz7EzCrk86TS0ryOUEsiDMBkrUd1J7SE+fL1027sGj+zxCUMLLNvl
 AV/GwYLftU0kZ+vBCJNhYCQIiUrzY6cb/HRr89IdJJHd3JINY3PQXvrkroNEj5r0GNVh
 W54b6UAgsi+FSUT1vy4b3CKeVLlUvZAdv+3vu+uvvEZEOHWNJUdEziSFWgMllEh7JJv5
 1TDFrSuL+ivl/+PsnOcoYv2xA5GUyXKUeS6QvxJmNAjAXbpqOk+rfTXU1EUnLZJbajCh
 s85Q==
X-Gm-Message-State: AOAM530/A+M4eZ2LxhCaNSDBgMhlub1oYGGAHCsLjTm7yehYsuL1GHpB
 pTSgKdzrxbC2NpApMtE3kqAvMaIyh/BkA4iW
X-Google-Smtp-Source: ABdhPJzaRVMrVyFTa2AM3ce8ELUimFdUYVjv+ual8hZvPtU3AkgUWrvA5y6WrsqPIVKDaDZmNobDMA==
X-Received: by 2002:ac8:5f52:: with SMTP id y18mr4033600qta.153.1626183135087; 
 Tue, 13 Jul 2021 06:32:15 -0700 (PDT)
Received: from hurd (dsl-10-136-19.b2b2c.ca. [72.10.136.19])
 by smtp.gmail.com with ESMTPSA id bm24sm4494128qkb.47.2021.07.13.06.32.14
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 13 Jul 2021 06:32:14 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Brett Gilio <brettg@HIDDEN>
Subject: Re: bug#34354: [PATCH] gnu: python-biopython: Update to 1.73.
References: <871s4kzhwb.fsf@HIDDEN> <87zhr8y2z3.fsf@HIDDEN>
 <878sysf3c3.fsf@HIDDEN> <87mun7qs7t.fsf@HIDDEN>
Date: Tue, 13 Jul 2021 09:32:14 -0400
In-Reply-To: <87mun7qs7t.fsf@HIDDEN> (Brett Gilio's message of "Thu, 07
 Feb 2019 14:05:58 -0600")
Message-ID: <875yxes5k1.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34354
Cc: Ricardo Wurmus <rekado@HIDDEN>, 34354 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Brett Gilio <brettg@HIDDEN> writes:

> Ricardo Wurmus writes:
>
>> Hi Brett,
>>
>>> Brett Gilio writes:
>>>
>>>> From c3243855b975db46cb8c31f7120c2a1ab4662aaa Mon Sep 17 00:00:00 2001
>>>> From: Brett Gilio <brettg@HIDDEN>
>>>> Date: Wed, 6 Feb 2019 16:10:05 -0600
>>>> Subject: [PATCH] gnu: python-biopython: Update to 1.73.
>>>>
>>>> * gnu/packages/bioinformatics.scm (python-biopython): Update to 1.73.
>>>> ---
>>>>  gnu/packages/bioinformatics.scm | 7 +++++--
>>>>  1 file changed, 5 insertions(+), 2 deletions(-)
>>>>
>>>> diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinforma=
tics.scm
>>>> index 516a7c1ee..99c205279 100644
>>>> --- a/gnu/packages/bioinformatics.scm
>>>> +++ b/gnu/packages/bioinformatics.scm
>>>> @@ -12,6 +12,7 @@
>>>>  ;;; Copyright =C2=A9 2018 Joshua Sierles, Nextjournal <joshua@nextjou=
rnal.com>
>>>>  ;;; Copyright =C2=A9 2018 G=C3=A1bor Boskovits <boskovits@HIDDEN>
>>>>  ;;; Copyright =C2=A9 2018 M=C4=83d=C4=83lin Ionel Patra=C8=99cu <mada=
linionel.patrascu@HIDDEN>
>>>> +;;; Copyright =C2=A9 2019 Brett Gilio <brettg@HIDDEN>
>>>>  ;;;
>>>>  ;;; This file is part of GNU Guix.
>>>>  ;;;
>>>> @@ -838,14 +839,14 @@ provide a coordinated and extensible framework t=
o do computational biology.")
>>>>  (define-public python-biopython
>>>>    (package
>>>>      (name "python-biopython")
>>>> -    (version "1.70")
>>>> +    (version "1.73")
>>>>      (source (origin
>>>>                (method url-fetch)
>>>>                ;; use PyPi rather than biopython.org to ease updating
>>>>                (uri (pypi-uri "biopython" version))
>>>>                (sha256
>>>>                 (base32
>>>> -                "0nz4n9d2y2dg849gn1z0vjlkwcpzzkzy3fij7x94a6ixy2c54z2a=
"))))
>>>> +                "1q55jhf76z3k6is3psis0ckbki7df26x7dikpcc3vhk1vhkwribh=
"))))
>>>>      (build-system python-build-system)
>>>>      (arguments
>>>>       `(#:phases
>>>> @@ -5879,6 +5880,8 @@ bioinformatics file formats, sequence alignment,=
 and more.")
>>>>          (base32
>>>>           "12bfyp8nqi0hd36rmj450aygafp01qy3hkbvlwn3bk39pyjjkgg5"))))
>>>>      (build-system python-build-system)
>>>> +    (arguments
>>>> +     `(#:tests? #f)) ; Updating biopython to 1.73 results in failing =
tests
>>>>      (inputs
>>>>       `(("python-biopython" ,python-biopython)))
>>>>      (native-inputs
>>>
>>> I disabled the tests on package `seqmagick' because after updating
>>> biopython to 1.73 it was failing a test on integer iteration. I could
>>> not reproduce this failure on the 1.70 version of biopython, so it seems
>>> to be a temporary fix to that failure. I'm not sure if this was the
>>> "correct" way to fix that issue, but it works.
>>
>> If the tests are failing it is possibel that seqmagick doesn=E2=80=99t w=
ork
>> properly any more.  This would be serious.
>>
>> Could you report the test failures to the upstream developers please and
>> add the URL in a comment?
>>
>> Also please separate these two changes.  They should not go to the same
>> commit.
>
> Ricardo,
>
> Understood. I will do exactly that and reply again later with a revised
> patch series.
>
> Brett Gilio

Any news on this?

Thanks,

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#34354; Package guix-patches. Full text available.

Message received at 34354 <at> debbugs.gnu.org:


Received: (at 34354) by debbugs.gnu.org; 7 Feb 2019 20:06:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 07 15:06:11 2019
Received: from localhost ([127.0.0.1]:38648 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1grpw2-00010t-LQ
	for submit <at> debbugs.gnu.org; Thu, 07 Feb 2019 15:06:10 -0500
Received: from mout01.posteo.de ([185.67.36.65]:54967)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brettg@HIDDEN>) id 1grpw0-00010g-3C
 for 34354 <at> debbugs.gnu.org; Thu, 07 Feb 2019 15:06:09 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 9C0BF16005E
 for <34354 <at> debbugs.gnu.org>; Thu,  7 Feb 2019 21:06:01 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1549569961; bh=1DDdgT0L7yj1IE2QFRJ4Qp49FUemOIS/mvi8cxwDOe0=;
 h=From:To:Cc:Subject:Date:From;
 b=cm7Wrqa99Y2pGeF5uiEteHBz6Tsz/aMd46ABanx9axbkd9wQDOEoNBeOXE1dVBmCj
 JhaQ0qjw4dbPGNh7jgVBS1wEMWvfK3tNwVvuqcvDVmP3FnTyg3kygo5OO1QsFkwoNQ
 Zj8n4eZ7xC3gzty30a0+YzCMs76CqH/dyXDGs2I2WKQJ8H0nwq6ZKH8RAn10eVe0NF
 lnf2KyQ4ME7vqB4jKjSLLG2ogHDG8wq9wqdh6HUsHlr2qA3Taxnjd4PmRdNNFqcAYz
 /5EFI0ouEi792xQljM8a+fJ4h/UChgbMOEnFLMY63cHrN+Bw/O1kTzCwhS76VwzmCw
 YyrBjYoKlSUTA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 43wTpJ0hGWz6tmP;
 Thu,  7 Feb 2019 21:05:59 +0100 (CET)
References: <871s4kzhwb.fsf@HIDDEN> <87zhr8y2z3.fsf@HIDDEN>
 <878sysf3c3.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Brett Gilio <brettg@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: [bug#34354] [PATCH] gnu: python-biopython: Update to 1.73.
In-reply-to: <878sysf3c3.fsf@HIDDEN>
Date: Thu, 07 Feb 2019 14:05:58 -0600
Message-ID: <87mun7qs7t.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34354
Cc: 34354 <at> debbugs.gnu.org, Brett Gilio <brettg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Ricardo Wurmus writes:

> Hi Brett,
>
>> Brett Gilio writes:
>>
>>> From c3243855b975db46cb8c31f7120c2a1ab4662aaa Mon Sep 17 00:00:00 2001
>>> From: Brett Gilio <brettg@HIDDEN>
>>> Date: Wed, 6 Feb 2019 16:10:05 -0600
>>> Subject: [PATCH] gnu: python-biopython: Update to 1.73.
>>>
>>> * gnu/packages/bioinformatics.scm (python-biopython): Update to 1.73.
>>> ---
>>>  gnu/packages/bioinformatics.scm | 7 +++++--
>>>  1 file changed, 5 insertions(+), 2 deletions(-)
>>>
>>> diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformat=
ics.scm
>>> index 516a7c1ee..99c205279 100644
>>> --- a/gnu/packages/bioinformatics.scm
>>> +++ b/gnu/packages/bioinformatics.scm
>>> @@ -12,6 +12,7 @@
>>>  ;;; Copyright =C2=A9 2018 Joshua Sierles, Nextjournal <joshua@nextjour=
nal.com>
>>>  ;;; Copyright =C2=A9 2018 G=C3=A1bor Boskovits <boskovits@HIDDEN>
>>>  ;;; Copyright =C2=A9 2018 M=C4=83d=C4=83lin Ionel Patra=C8=99cu <madal=
inionel.patrascu@HIDDEN>
>>> +;;; Copyright =C2=A9 2019 Brett Gilio <brettg@HIDDEN>
>>>  ;;;
>>>  ;;; This file is part of GNU Guix.
>>>  ;;;
>>> @@ -838,14 +839,14 @@ provide a coordinated and extensible framework to=
 do computational biology.")
>>>  (define-public python-biopython
>>>    (package
>>>      (name "python-biopython")
>>> -    (version "1.70")
>>> +    (version "1.73")
>>>      (source (origin
>>>                (method url-fetch)
>>>                ;; use PyPi rather than biopython.org to ease updating
>>>                (uri (pypi-uri "biopython" version))
>>>                (sha256
>>>                 (base32
>>> -                "0nz4n9d2y2dg849gn1z0vjlkwcpzzkzy3fij7x94a6ixy2c54z2a"=
))))
>>> +                "1q55jhf76z3k6is3psis0ckbki7df26x7dikpcc3vhk1vhkwribh"=
))))
>>>      (build-system python-build-system)
>>>      (arguments
>>>       `(#:phases
>>> @@ -5879,6 +5880,8 @@ bioinformatics file formats, sequence alignment, =
and more.")
>>>          (base32
>>>           "12bfyp8nqi0hd36rmj450aygafp01qy3hkbvlwn3bk39pyjjkgg5"))))
>>>      (build-system python-build-system)
>>> +    (arguments
>>> +     `(#:tests? #f)) ; Updating biopython to 1.73 results in failing t=
ests
>>>      (inputs
>>>       `(("python-biopython" ,python-biopython)))
>>>      (native-inputs
>>
>> I disabled the tests on package `seqmagick' because after updating
>> biopython to 1.73 it was failing a test on integer iteration. I could
>> not reproduce this failure on the 1.70 version of biopython, so it seems
>> to be a temporary fix to that failure. I'm not sure if this was the
>> "correct" way to fix that issue, but it works.
>
> If the tests are failing it is possibel that seqmagick doesn=E2=80=99t wo=
rk
> properly any more.  This would be serious.
>
> Could you report the test failures to the upstream developers please and
> add the URL in a comment?
>
> Also please separate these two changes.  They should not go to the same
> commit.

Ricardo,

Understood. I will do exactly that and reply again later with a revised
patch series.

Brett Gilio




Information forwarded to guix-patches@HIDDEN:
bug#34354; Package guix-patches. Full text available.

Message received at 34354 <at> debbugs.gnu.org:


Received: (at 34354) by debbugs.gnu.org; 7 Feb 2019 09:32:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 07 04:32:42 2019
Received: from localhost ([127.0.0.1]:36559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1grg2z-0007j3-UE
	for submit <at> debbugs.gnu.org; Thu, 07 Feb 2019 04:32:42 -0500
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21033)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1grg2u-0007ir-PA
 for 34354 <at> debbugs.gnu.org; Thu, 07 Feb 2019 04:32:38 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1549525601; cv=none; d=zoho.com; s=zohoarc; 
 b=d3jfdHPvxigych3lqQnzW/8P/KfDg4sO28f4wIJF5YRqXiSU8ejYuzdZaOcPV3dfTDKDDCOJ+cR83hcsqbIn/kD8GbAwzGWi82Y6fGvoY7mA1Onfp1OB/uYNIH2BaRSDU+jCe4gKNCDPsUQx/n5AYieUJmncy0Dcks73rSkuKyY=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1549525601;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=GTrprpiqcDioS6RYZYvi9OJCgnRdojCn/aZRQ9ef19Y=; 
 b=YBoNkjV2ZoJCgDP8gKoeh0Vof/bwR4WEU+abYa1ogk9kT1b0eKtOJcAbv2qQ0feIN+Y3jrecC6u+3sB81a/RUMVpAPZZkm1920yVVGDlejm7/o5kzfMcNb3tC3kq1snNZgfSAP8WEdhW1rg2xkVbYzsZtLXsBATkmXELe1Dm5z4=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1549525601; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=2713; bh=GTrprpiqcDioS6RYZYvi9OJCgnRdojCn/aZRQ9ef19Y=;
 b=FdbbR3Le1zP5vboSHmv6fDIS/kUB60JIJ5zz2b14iPMV/ZCWEmtiw8y7VTg+hKcf
 mMorL8cX+2I2VGgJe4DJYFbEYGjZLQNenfBlcqyxMMpvK6HZOLL7MGc+Hae5ru2mYPY
 m6nEH7NYO6H178VQZz0R4ACluU3oneSaIllJIjNY=
Received: from localhost (p3E9E90DD.dip0.t-ipconnect.de [62.158.144.221]) by
 mx.zohomail.com with SMTPS id 15495255998851019.2893647958332;
 Wed, 6 Feb 2019 23:46:39 -0800 (PST)
References: <871s4kzhwb.fsf@HIDDEN> <87zhr8y2z3.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Brett Gilio <brettg@HIDDEN>
Subject: Re: [bug#34354] [PATCH] gnu: python-biopython: Update to 1.73.
In-reply-to: <87zhr8y2z3.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Thu, 07 Feb 2019 08:46:36 +0100
Message-ID: <878sysf3c3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34354
Cc: 34354 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hi Brett,

> Brett Gilio writes:
>
>> From c3243855b975db46cb8c31f7120c2a1ab4662aaa Mon Sep 17 00:00:00 2001
>> From: Brett Gilio <brettg@HIDDEN>
>> Date: Wed, 6 Feb 2019 16:10:05 -0600
>> Subject: [PATCH] gnu: python-biopython: Update to 1.73.
>>
>> * gnu/packages/bioinformatics.scm (python-biopython): Update to 1.73.
>> ---
>>  gnu/packages/bioinformatics.scm | 7 +++++--
>>  1 file changed, 5 insertions(+), 2 deletions(-)
>>
>> diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformati=
cs.scm
>> index 516a7c1ee..99c205279 100644
>> --- a/gnu/packages/bioinformatics.scm
>> +++ b/gnu/packages/bioinformatics.scm
>> @@ -12,6 +12,7 @@
>>  ;;; Copyright =C2=A9 2018 Joshua Sierles, Nextjournal <joshua@nextjourn=
al.com>
>>  ;;; Copyright =C2=A9 2018 G=C3=A1bor Boskovits <boskovits@HIDDEN>
>>  ;;; Copyright =C2=A9 2018 M=C4=83d=C4=83lin Ionel Patra=C8=99cu <madali=
nionel.patrascu@HIDDEN>
>> +;;; Copyright =C2=A9 2019 Brett Gilio <brettg@HIDDEN>
>>  ;;;
>>  ;;; This file is part of GNU Guix.
>>  ;;;
>> @@ -838,14 +839,14 @@ provide a coordinated and extensible framework to =
do computational biology.")
>>  (define-public python-biopython
>>    (package
>>      (name "python-biopython")
>> -    (version "1.70")
>> +    (version "1.73")
>>      (source (origin
>>                (method url-fetch)
>>                ;; use PyPi rather than biopython.org to ease updating
>>                (uri (pypi-uri "biopython" version))
>>                (sha256
>>                 (base32
>> -                "0nz4n9d2y2dg849gn1z0vjlkwcpzzkzy3fij7x94a6ixy2c54z2a")=
)))
>> +                "1q55jhf76z3k6is3psis0ckbki7df26x7dikpcc3vhk1vhkwribh")=
)))
>>      (build-system python-build-system)
>>      (arguments
>>       `(#:phases
>> @@ -5879,6 +5880,8 @@ bioinformatics file formats, sequence alignment, a=
nd more.")
>>          (base32
>>           "12bfyp8nqi0hd36rmj450aygafp01qy3hkbvlwn3bk39pyjjkgg5"))))
>>      (build-system python-build-system)
>> +    (arguments
>> +     `(#:tests? #f)) ; Updating biopython to 1.73 results in failing te=
sts
>>      (inputs
>>       `(("python-biopython" ,python-biopython)))
>>      (native-inputs
>
> I disabled the tests on package `seqmagick' because after updating
> biopython to 1.73 it was failing a test on integer iteration. I could
> not reproduce this failure on the 1.70 version of biopython, so it seems
> to be a temporary fix to that failure. I'm not sure if this was the
> "correct" way to fix that issue, but it works.

If the tests are failing it is possibel that seqmagick doesn=E2=80=99t work
properly any more.  This would be serious.

Could you report the test failures to the upstream developers please and
add the URL in a comment?

Also please separate these two changes.  They should not go to the same
commit.

--
Ricardo





Information forwarded to guix-patches@HIDDEN:
bug#34354; Package guix-patches. Full text available.

Message received at 34354 <at> debbugs.gnu.org:


Received: (at 34354) by debbugs.gnu.org; 6 Feb 2019 22:19:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 06 17:19:40 2019
Received: from localhost ([127.0.0.1]:36293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1grVXf-0001eZ-OQ
	for submit <at> debbugs.gnu.org; Wed, 06 Feb 2019 17:19:40 -0500
Received: from mout01.posteo.de ([185.67.36.65]:56873)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brettg@HIDDEN>) id 1grVXd-0001eG-88
 for 34354 <at> debbugs.gnu.org; Wed, 06 Feb 2019 17:19:38 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 0D5C916005E
 for <34354 <at> debbugs.gnu.org>; Wed,  6 Feb 2019 23:19:30 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1549491571; bh=DtJb3jQLCz6uv/kDkANc++tBCK7hdpSzYYacf3c3TdA=;
 h=From:To:Cc:Subject:Date:From;
 b=Zi9DsCdNa5WH9rVgZjK3p0iKE0uX0/zRyiGIUrfNc+/ri2LPgsZZhzh+my7kN/V+e
 ljStAwaOVsHShtSBNpUXWkS3gKol+okQ02++mZeFBcSAMZ2b7B38mkt5yWfVQczFtu
 7lEAxXGY4Lyjflo/IFDQaO/IK0Dh1Xrc3698GNk1JOKmaivpYlmKj9jsKz7itmGY72
 U8HasbUXb5mzTI8yCt4kFgSFo52OE4hnthw2eQqEDjYCZ5bZ1g6RNWmb7dXYm5gOEH
 GxLICRTh1v6TmJnIIRAMs4Jqnw2xsehRy+iT+hhsL9jnus9BCfs2V5gr7HUHKfuOI7
 kS3kEmR11L1mg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 43vwpn6xN8z6tm7;
 Wed,  6 Feb 2019 23:19:29 +0100 (CET)
References: <871s4kzhwb.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Brett Gilio <brettg@HIDDEN>
To: Brett Gilio <brettg@HIDDEN>
Subject: Re: [bug#34354] [PATCH] gnu: python-biopython: Update to 1.73.
In-reply-to: <871s4kzhwb.fsf@HIDDEN>
Date: Wed, 06 Feb 2019 16:19:28 -0600
Message-ID: <87zhr8y2z3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34354
Cc: 34354 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Brett Gilio writes:

> From c3243855b975db46cb8c31f7120c2a1ab4662aaa Mon Sep 17 00:00:00 2001
> From: Brett Gilio <brettg@HIDDEN>
> Date: Wed, 6 Feb 2019 16:10:05 -0600
> Subject: [PATCH] gnu: python-biopython: Update to 1.73.
>
> * gnu/packages/bioinformatics.scm (python-biopython): Update to 1.73.
> ---
>  gnu/packages/bioinformatics.scm | 7 +++++--
>  1 file changed, 5 insertions(+), 2 deletions(-)
>
> diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatic=
s.scm
> index 516a7c1ee..99c205279 100644
> --- a/gnu/packages/bioinformatics.scm
> +++ b/gnu/packages/bioinformatics.scm
> @@ -12,6 +12,7 @@
>  ;;; Copyright =C2=A9 2018 Joshua Sierles, Nextjournal <joshua@nextjourna=
l.com>
>  ;;; Copyright =C2=A9 2018 G=C3=A1bor Boskovits <boskovits@HIDDEN>
>  ;;; Copyright =C2=A9 2018 M=C4=83d=C4=83lin Ionel Patra=C8=99cu <madalin=
ionel.patrascu@HIDDEN>
> +;;; Copyright =C2=A9 2019 Brett Gilio <brettg@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -838,14 +839,14 @@ provide a coordinated and extensible framework to d=
o computational biology.")
>  (define-public python-biopython
>    (package
>      (name "python-biopython")
> -    (version "1.70")
> +    (version "1.73")
>      (source (origin
>                (method url-fetch)
>                ;; use PyPi rather than biopython.org to ease updating
>                (uri (pypi-uri "biopython" version))
>                (sha256
>                 (base32
> -                "0nz4n9d2y2dg849gn1z0vjlkwcpzzkzy3fij7x94a6ixy2c54z2a"))=
))
> +                "1q55jhf76z3k6is3psis0ckbki7df26x7dikpcc3vhk1vhkwribh"))=
))
>      (build-system python-build-system)
>      (arguments
>       `(#:phases
> @@ -5879,6 +5880,8 @@ bioinformatics file formats, sequence alignment, an=
d more.")
>          (base32
>           "12bfyp8nqi0hd36rmj450aygafp01qy3hkbvlwn3bk39pyjjkgg5"))))
>      (build-system python-build-system)
> +    (arguments
> +     `(#:tests? #f)) ; Updating biopython to 1.73 results in failing tes=
ts
>      (inputs
>       `(("python-biopython" ,python-biopython)))
>      (native-inputs

I disabled the tests on package `seqmagick' because after updating
biopython to 1.73 it was failing a test on integer iteration. I could
not reproduce this failure on the 1.70 version of biopython, so it seems
to be a temporary fix to that failure. I'm not sure if this was the
"correct" way to fix that issue, but it works.

If not, please let me know so I can send a differently modified patch.




Information forwarded to guix-patches@HIDDEN:
bug#34354; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Feb 2019 22:12:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 06 17:12:07 2019
Received: from localhost ([127.0.0.1]:36280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1grVQK-0001Rs-Th
	for submit <at> debbugs.gnu.org; Wed, 06 Feb 2019 17:12:07 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52022)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brettg@HIDDEN>) id 1grVQI-0001RL-0p
 for submit <at> debbugs.gnu.org; Wed, 06 Feb 2019 17:12:03 -0500
Received: from lists.gnu.org ([209.51.188.17]:38377)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <brettg@HIDDEN>) id 1grVQC-0002bM-Rl
 for submit <at> debbugs.gnu.org; Wed, 06 Feb 2019 17:11:56 -0500
Received: from eggs.gnu.org ([209.51.188.92]:38171)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <brettg@HIDDEN>) id 1grVQB-0005vc-Uv
 for guix-patches@HIDDEN; Wed, 06 Feb 2019 17:11:56 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_20,RCVD_IN_DNSWL_MED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <brettg@HIDDEN>) id 1grVQB-0002b1-1B
 for guix-patches@HIDDEN; Wed, 06 Feb 2019 17:11:55 -0500
Received: from mout01.posteo.de ([185.67.36.65]:60347)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <brettg@HIDDEN>) id 1grVQA-0002ac-H8
 for guix-patches@HIDDEN; Wed, 06 Feb 2019 17:11:54 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id F141316005D
 for <guix-patches@HIDDEN>; Wed,  6 Feb 2019 23:11:50 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1549491111; bh=nzBN9uNiv7M/DEetrPNHRZ4o/u2SDR3aFHekODTZlXc=;
 h=From:To:Subject:Date:From;
 b=jSP0GSezTrM9Pb2G1jpPeOAJ7oXltoTglzWdSxv3tUvvRto/nW7hfLJ1Ymb2niAYU
 bl9N7Ej8oiMwHhEcssTIpuhqYd9GlnDvArka0aXW4z4LSJ6pG9S2yXW/52RBR8qGK3
 ZidTY1n+ACkvZQe+NmE/TrRW1b6M8K3c5ft+jNIGHzXxQcyKT40FTo1Luh5MPgV1qD
 /HyFzmB2BQaV6CQ9s8IN5JsuSRIh88Dn7vRwJYQfKnSlHgm+VpeKH/TK/DLlwR9aoY
 oh305oF5ey6cvg8hi+5fRf5kpJzLfxwEb6/mOG8TDMJunPQaQHCe8G5kzskJ9j2lRO
 0wfYnQub9fdEg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 43vwdx6mxvz6tm9
 for <guix-patches@HIDDEN>; Wed,  6 Feb 2019 23:11:49 +0100 (CET)
From: Brett Gilio <brettg@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: python-biopython: Update to 1.73.
Date: Wed, 06 Feb 2019 16:11:48 -0600
Message-ID: <871s4kzhwb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline;
 filename=0001-gnu-python-biopython-Update-to-1.73.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: [PATCH] gnu: python-biopython: Update to 1.73.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 185.67.36.65
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

From c3243855b975db46cb8c31f7120c2a1ab4662aaa Mon Sep 17 00:00:00 2001
From: Brett Gilio <brettg@HIDDEN>
Date: Wed, 6 Feb 2019 16:10:05 -0600
Subject: [PATCH] gnu: python-biopython: Update to 1.73.

* gnu/packages/bioinformatics.scm (python-biopython): Update to 1.73.
---
 gnu/packages/bioinformatics.scm | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.=
scm
index 516a7c1ee..99c205279 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -12,6 +12,7 @@
 ;;; Copyright =C2=A9 2018 Joshua Sierles, Nextjournal <joshua@nextjournal.=
com>
 ;;; Copyright =C2=A9 2018 G=C3=A1bor Boskovits <boskovits@HIDDEN>
 ;;; Copyright =C2=A9 2018 M=C4=83d=C4=83lin Ionel Patra=C8=99cu <madalinio=
nel.patrascu@HIDDEN>
+;;; Copyright =C2=A9 2019 Brett Gilio <brettg@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -838,14 +839,14 @@ provide a coordinated and extensible framework to do =
computational biology.")
 (define-public python-biopython
   (package
     (name "python-biopython")
-    (version "1.70")
+    (version "1.73")
     (source (origin
               (method url-fetch)
               ;; use PyPi rather than biopython.org to ease updating
               (uri (pypi-uri "biopython" version))
               (sha256
                (base32
-                "0nz4n9d2y2dg849gn1z0vjlkwcpzzkzy3fij7x94a6ixy2c54z2a"))))
+                "1q55jhf76z3k6is3psis0ckbki7df26x7dikpcc3vhk1vhkwribh"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
@@ -5879,6 +5880,8 @@ bioinformatics file formats, sequence alignment, and =
more.")
         (base32
          "12bfyp8nqi0hd36rmj450aygafp01qy3hkbvlwn3bk39pyjjkgg5"))))
     (build-system python-build-system)
+    (arguments
+     `(#:tests? #f)) ; Updating biopython to 1.73 results in failing tests
     (inputs
      `(("python-biopython" ,python-biopython)))
     (native-inputs
--=20
2.20.1





Acknowledgement sent to Brett Gilio <brettg@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#34354; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 9 Oct 2021 16:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.